## golang-github-containers-ocicrypt 1.0.3

=== Makefile ===
#   Copyright The containerd Authors.

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

.PHONY: check build decoder

all: build

FORCE:

check:
	golangci-lint run

build: vendor
	go build ./...

vendor:
	go mod tidy

test:
	go test ./...

## golang-github-containers-ocicrypt 1.0.2

=== debian/changelog ===
golang-github-containers-ocicrypt (1.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 May 2020 08:02:28 -0400

golang-github-containers-ocicrypt (1.0.2-1) experimental; urgency=medium

  * Initial release (Closes: #958303)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Apr 2020 07:47:43 -0400

=== debian/control ===
Source: golang-github-containers-ocicrypt
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-containerd-containerd-dev,
               golang-github-fullsailor-pkcs7-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-pkg-errors-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-square-go-jose.v2-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-ocicrypt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-ocicrypt.git
Homepage: https://github.com/containers/ocicrypt
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containers/ocicrypt

Package: golang-github-containers-ocicrypt-dev
Architecture: all
Depends: golang-github-containerd-containerd-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-pkg-errors-dev,
         golang-golang-x-crypto-dev,
         golang-gopkg-square-go-jose.v2-dev,
         ${misc:Depends}
Description: Encryption libraries for Encrypted OCI Container images (library)
 OCIcrypt Library The ocicrypt library is the OCI image
 spec implementation of container image encryption. More
 details of the spec can be seen in the OCI repository
 (https://github.com/opencontainers/image-spec/pull/775). The purpose of
 this library is to encode spec structures and consts in code, as well as
 provide a consistent implementation of image encryption across container
 runtimes and build tools.

## golang-github-containers-ocicrypt 1.0.3

=== debian/changelog ===
golang-github-containers-ocicrypt (1.0.3-1) unstable; urgency=medium

  * New upstream version: 1.0.3
  * revert upstream move to mozilla/pkcs7 until it enters debian

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Nov 2020 19:08:02 -0500

golang-github-containers-ocicrypt (1.0.2-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Shengjing Zhu ]
  * Backport patch to fix test with expired key in testdata (Closes: #971163)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 04 Oct 2020 16:41:33 +0800

golang-github-containers-ocicrypt (1.0.2-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to avoid containerd dependency
  * Remove golang-github-containerd-containerd-dev from Build-Depends.
    And add missing golang-github-fullsailor-pkcs7-dev to Depends
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 31 May 2020 16:36:26 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: golang-github-containers-ocicrypt
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>
+Uploaders: Reinhard Tartler <siretart@tauware.de>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-containerd-containerd-dev,
                golang-github-fullsailor-pkcs7-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
@@ -23,13 +22,13 @@
 
 Package: golang-github-containers-ocicrypt-dev
 Architecture: all
-Depends: golang-github-containerd-containerd-dev,
+Depends: golang-github-fullsailor-pkcs7-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
          golang-github-pkg-errors-dev,
          golang-golang-x-crypto-dev,
          golang-gopkg-square-go-jose.v2-dev,
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Encryption libraries for Encrypted OCI Container images (library)
  OCIcrypt Library The ocicrypt library is the OCI image
  spec implementation of container image encryption. More

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-containers-ocicrypt-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/containers/ocicrypt/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-containers-ocicrypt 1.1.7

=== debian/changelog ===
golang-github-containers-ocicrypt (1.1.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 07 Sep 2023 21:48:38 -0400

golang-github-containers-ocicrypt (1.1.7-1) experimental; urgency=medium

  * New upstream version 1.1.7
  * Bump standards version
  * add more tools/dependencies that make tests pass

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 Jan 2023 03:58:24 -0500

golang-github-containers-ocicrypt (1.1.4-1) experimental; urgency=medium

  * New upstream verison 1.1.4

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 May 2022 07:55:29 -0400

## golang-github-containers-ocicrypt 1.1.9

=== debian/changelog ===
golang-github-containers-ocicrypt (1.1.9-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Nov 2023 09:18:05 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,24 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               gnutls-bin,
                golang-any,
                golang-github-fullsailor-pkcs7-dev,
+               golang-github-miekg-pkcs11-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
                golang-github-pkg-errors-dev,
+               golang-github-sirupsen-logrus-dev,
+               golang-github-stefanberger-go-pkcs11uri-dev,
+               golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
+               golang-google-grpc-dev,
+               golang-google-protobuf-dev,
                golang-gopkg-square-go-jose.v2-dev,
-Standards-Version: 4.5.0
+               golang-gopkg-yaml.v2-dev,
+               libhsm-bin,
+               softhsm2,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-ocicrypt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-ocicrypt.git
 Homepage: https://github.com/containers/ocicrypt
@@ -23,11 +33,17 @@
 Package: golang-github-containers-ocicrypt-dev
 Architecture: all
 Depends: golang-github-fullsailor-pkcs7-dev,
+         golang-github-miekg-pkcs11-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
          golang-github-pkg-errors-dev,
+         golang-github-sirupsen-logrus-dev,
+         golang-github-stefanberger-go-pkcs11uri-dev,
          golang-golang-x-crypto-dev,
+         golang-google-grpc-dev,
+         golang-google-protobuf-dev,
          golang-gopkg-square-go-jose.v2-dev,
+         golang-gopkg-yaml.v2-dev,
          ${misc:Depends},
 Description: Encryption libraries for Encrypted OCI Container images (library)
  OCIcrypt Library The ocicrypt library is the OCI image

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+ds1,\
repack,compression=xz,\
dirversionmangle=s/-rc/~rc/,\
uversionmangle=s/-rc/~rc/,\
dversionmangle=auto,\
" https://github.com/containers/ocicrypt/tags \
  .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-containers-ocicrypt 1.1.10

=== debian/changelog ===
golang-github-containers-ocicrypt (1.1.10-3) unstable; urgency=medium

  * Drop unnedeed dependency on libhsm-bin, Closes: #1109389

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Jul 2025 08:31:15 -0400

golang-github-containers-ocicrypt (1.1.10-2) unstable; urgency=medium

  * fix dependency declaration on go-jose v4

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Jun 2024 16:30:40 -0400

golang-github-containers-ocicrypt (1.1.10-1) unstable; urgency=medium

  * New upstream release
  * Build against go-jose v4

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Jun 2024 07:50:32 -0400

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,8 @@
                golang-golang-x-crypto-dev,
                golang-google-grpc-dev,
                golang-google-protobuf-dev,
-               golang-gopkg-square-go-jose.v2-dev,
+               golang-github-go-jose-go-jose-dev,
                golang-gopkg-yaml.v2-dev,
-               libhsm-bin,
                softhsm2,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-ocicrypt
@@ -42,7 +41,7 @@
          golang-golang-x-crypto-dev,
          golang-google-grpc-dev,
          golang-google-protobuf-dev,
-         golang-gopkg-square-go-jose.v2-dev,
+         golang-github-go-jose-go-jose-dev,
          golang-gopkg-yaml.v2-dev,
          ${misc:Depends},
 Description: Encryption libraries for Encrypted OCI Container images (library)
